package net.thegreshams.gosuZfsUtility

uses gw.lang.cli.*


class Args {

	static var _testMode : boolean as TestMode
	
	static var _useKeywordSudo : boolean as UseKeywordSudo

	@Required()
	static var _volumeName : String as VolumeName
	
	@DefaultValue( "@" )
	static var _volumeNameSnapshotTypeSeparator : String as VolumeNameSnapshotTypeSeparator
	
	@DefaultValue( "_" )
	static var _snapshotTypeDateSeparator : String as SnapshotTypeDateSeparator
	
	@DefaultValue( "\n" )
	static var _lineDelimeter : String as LineDelimeter
	
	@DefaultValue( "day" )
	static var _dayTag : String as DayTag
	
	@DefaultValue( "week" )
	static var _weekTag : String as WeekTag
	
	@DefaultValue( "month" )
	static var _monthTag : String as MonthTag
	
	@DefaultValue( "year" )
	static var _yearTag : String as YearTag
	
	@DefaultValue( "sudo" )
	static var _keywordSudo : String as KeywordSudo
	
	@DefaultValue( "zfs" )
	static var _keywordZfs : String as KeywordZfs
	
	@DefaultValue( "snapshot" )
	static var _keywordZfsSnapshot : String as KeywordZfsSnapshot
	
	@DefaultValue( "destroy" )
	static var _keywordZfsDestroy : String as KeywordZfsDestroy
	
	@DefaultValue( "list -t all" )
	static var _keywordZfsListAll : String as KeywordZfsListAll
	
	@DefaultValue( 6 as String )
	static var _archiveDaysToMaintain : int as ArchiveDaysToMaintain
	
	@DefaultValue( 3 as String )
	static var _archiveWeeksToMaintain : int as ArchiveWeeksToMaintain
	
	@DefaultValue( 11 as String )
	static var _archiveMonthsToMaintain : int as ArchiveMonthsToMaintain
	
	@DefaultValue( 3 as String )
	static var _archiveYearsToMaintain : int as ArchiveYearsToMaintain
	
	@DefaultValue( "Friday" )
	static var _archiveDayOfWeeklyMaintenance : String as ArchiveDayOfWeeklyMaintenance
	
	@DefaultValue( 1 as String )
	static var _archiveDayOfMonthlyMaintenance : int as ArchiveDayOfMonthlyMaintenance
	
	@DefaultValue( 31 as String )
	static var _archiveDayOfAnnualMaintenance : int as ArchiveDayOfAnnualMaintenance
	
	@DefaultValue( 12 as String )
	static var _archiveMonthOfAnnualMaintenance : int as ArchiveMonthOfAnnualMaintenance
	
	
}
