package net.thegreshams.gw.enhancements.util

uses java.util.Calendar


enhancement CalendarEnhancement : java.util.Calendar {

	property get CalendarDayOfWeek() : int {
	    
	    return Calendar.getInstance().get( Calendar.DAY_OF_WEEK )
	}
	
	public static function DayOfWeekFromString( dayOfWeek : String ) : int {
	    
	    var result = Calendar.SUNDAY
	    
	    switch( dayOfWeek.trim().toLowerCase() ) {
	        case "sunday":
	        	result = Calendar.SUNDAY
	        	break
        	case "monday":
	        	result = Calendar.MONDAY
	        	break
        	case "tuesday":
        		result = Calendar.TUESDAY
        		break
    		case "wednesday":
    			result = Calendar.WEDNESDAY
    			break
			case "thursday":
				result = Calendar.THURSDAY
				break
			case "friday":
				result = Calendar.FRIDAY
				break
			case "saturday":
				result = Calendar.SATURDAY
				break
    		default:
	        	result = Calendar.SUNDAY
	        	break
	    }
	    
	    return result
	    
	}
	
	public static function DayOfWeekFromInt( dayOfWeek : int ) : String {
	    
	    var result = "sunday"
	    
	    switch( dayOfWeek ) {
	        case Calendar.SUNDAY:
	        	result = "sunday"
	        	break;
	        case Calendar.MONDAY:
	        	result = "monday"
	        	break;	        	
	        case Calendar.TUESDAY:
	        	result = "tuesday"
	        	break;	        	
	        case Calendar.WEDNESDAY:
	        	result = "wednesday"
	        	break;	        	
	        case Calendar.THURSDAY:
	        	result = "thursday"
	        	break;	        	
	        case Calendar.FRIDAY:
	        	result = "friday"
	        	break;	        	
	        case Calendar.SATURDAY:
	        	result = "saturday"
	        	break;	        	
        	default:
        		result = "sunday"
        		break	        	
	    }
	    
	    return result
	}
	
}
